package com.gh.common.provider

import android.content.Context
import com.gh.common.util.PackageInstaller
import com.gh.gamecenter.core.provider.IPackageInstallerProvider
import com.lightgame.download.DownloadEntity

@com.therouter.inject.ServiceProvider
class PackageInstallerProviderImpl : IPackageInstallerProvider {

    override fun install(context: Context, downloadEntity: DownloadEntity, showUnzipToast: Boolean) {
        PackageInstaller.install(context, downloadEntity, showUnzipToast, false)
    }

    override fun uninstall(context: Context, path: String) {
        PackageInstaller.uninstall(context, path)
    }

}